libfreerdp-dev ubuntu 19.04 - cannot build from source

Asked by A. Wilmink on 2019-07-25

Libfreerdp-dev cmake build fails for multicore support with error ld: pthreads not found. (pthread_create in pthreads). Pthread (minus the s) is installed, but ld does not check for pthread when building libfreerdp-dev

Further investigation leads to either manually forcing ld to use pthread over ptrhreads (which ld ignores), or installing the correct additional packages (e.g. libboost-dev, of which I installed liboost-dev-all). What I would like to achieve is an overview of why the cmake build fails but I will accept a quick solution.

Can anyone point me in the correct direction or does anyone know what the release status is of libfreerdp-dev for ubuntu 19.04?

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu freerdp Edit question
Assignee:
No assignee Edit question
Last query:
2019-07-25
Last reply:
2019-07-25
Manfred Hampl (m-hampl) said : #1

freerdp-dev is obsolete, you should install freerdp2-dev instead, which is available in the Ubuntu repositories without the need to compile it yourself.

A. Wilmink (amx2311) said : #3

Sorry, I edited my original question as it could have been misleading.

A. Wilmink (amx2311) said : #4

@manfred Hampl, libfreerdp2-dev does not exist.

Manfred Hampl (m-hampl) said : #5

The older version was named libfreerdp-dev, and the new one now is freerdp2-dev.
Sorry for being inaccurate in my first answer.

Can you help with this problem?

Provide an answer of your own, or ask A. Wilmink for more information if necessary.

To post a message you must log in.